%bcond_with gtk2

%if %{without gtk2}
%global debug_package %{nil}
%endif

Summary:        GNOME Extra Themes
Name:           gnome-themes-extra
Version:        3.28
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/gnome-themes-extra
Source0:        https://download.gnome.org/sources/%{name}/3.28/%{name}-%{version}.tar.xz
%if %{with gtk2}
Source1:        gtkrc
%endif

BuildRequires:  make gcc
BuildRequires:  gettext intltool
BuildRequires:  pkgconfig(gtk+-3.0) pkgconfig(librsvg-2.0)
BuildRequires:  /usr/bin/gtk-update-icon-cache
%if %{with gtk2}
BuildRequires:  pkgconfig(gtk+-2.0)
Recommends: adwaita-gtk2-theme = %{version}-%{release}
%endif
Requires: adwaita-icon-theme
Requires: highcontrast-icon-theme = %{version}-%{release}
Provides: gnome-themes-standard = %{version}-%{release}

%description
This module used to contain various components of the default GNOME 3 theme. While the 
GTK+ 3 versions of the Adwaita and HighContrast themes are now part of GTK+ 3 itself, 
and the HighContrastInverse and LowConstrast themes have been discontinued.
Also, adwaita-gtk2-theme will not be supported in the future.

%if %{with gtk2}
%package -n adwaita-gtk2-theme
Summary: Adwaita gtk2 theme
Requires: gtk2
Requires: adwaita-cursor-theme adwaita-icon-theme
Requires: highcontrast-icon-theme = %{version}-%{release}

%description -n adwaita-gtk2-theme
This package contains a gtk2 theme for presenting widgets with a GNOME look and feel.
%endif

%package -n highcontrast-icon-theme
Summary: HighContrast icon theme
BuildArch: noarch

%description -n highcontrast-icon-theme
This package contains the HighContrast icon theme used by the GNOME desktop.

%prep
%autosetup -p1

%build
%configure \
%if %{without gtk2}
  enable_gtk2_engine=no
%endif

%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete

rm -f %{buildroot}%{_datadir}/icons/HighContrast/icon-theme.cache
touch %{buildroot}%{_datadir}/icons/HighContrast/icon-theme.cache

%if %{with gtk2}
mkdir -p %{buildroot}%{_datadir}/gtk-2.0
cp -a $RPM_SOURCE_DIR/gtkrc %{buildroot}%{_datadir}/gtk-2.0/gtkrc
%endif

# while not support gtk-2, remove files
%if %{without gtk2}
rm -f %{buildroot}%{_datadir}/themes/Adwaita-dark/index.theme
rm -f %{buildroot}%{_datadir}/themes/Adwaita/index.theme
rm -f %{buildroot}%{_datadir}/themes/HighContrast/gtk-2.0/gtkrc
rm -f %{buildroot}%{_datadir}/themes/HighContrast/index.theme
%endif

%transfiletriggerin -n highcontrast-icon-theme -- %{_datadir}/icons/HighContrast
gtk-update-icon-cache --force %{_datadir}/icons/HighContrast &>/dev/null || :

%transfiletriggerpostun -n highcontrast-icon-theme -- %{_datadir}/icons/HighContrast
gtk-update-icon-cache --force %{_datadir}/icons/HighContrast &>/dev/null || :

%files
%license LICENSE
%doc NEWS README.md
%{_datadir}/themes/Adwaita/gtk-3.0/
%{_datadir}/themes/Adwaita-dark/gtk-3.0/
%{_datadir}/themes/HighContrast/gtk-3.0/

%files -n highcontrast-icon-theme
%license LICENSE
%dir %{_datadir}/icons/HighContrast
%{_datadir}/icons/HighContrast/16x16/
%{_datadir}/icons/HighContrast/22x22/
%{_datadir}/icons/HighContrast/24x24/
%{_datadir}/icons/HighContrast/32x32/
%{_datadir}/icons/HighContrast/48x48/
%{_datadir}/icons/HighContrast/256x256/
%{_datadir}/icons/HighContrast/scalable/
%{_datadir}/icons/HighContrast/index.theme
%ghost %{_datadir}/icons/HighContrast/icon-theme.cache

%if %{with gtk2}
%files -n adwaita-gtk2-theme
%license LICENSE
%{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.so
%dir %{_datadir}/themes/Adwaita
%dir %{_datadir}/themes/Adwaita-dark
%dir %{_datadir}/themes/HighContrast
%{_datadir}/gtk-2.0/gtkrc
%{_datadir}/themes/Adwaita/gtk-2.0/
%{_datadir}/themes/Adwaita/index.theme
%{_datadir}/themes/Adwaita-dark/gtk-2.0/
%{_datadir}/themes/Adwaita-dark/index.theme
%{_datadir}/themes/HighContrast/gtk-2.0/
%{_datadir}/themes/HighContrast/index.theme
%endif

%changelog
* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 3.28-4
- Rebuilt for librsvg2 2.56.90

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.28-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.28-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 9 2022 Wang Guodong <gordonwwang@tencent.com> - 3.28-1
- package init.
